Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.part
Interface IPage

All Known Subinterfaces:
  IContentOutlinePage, IPageBookViewPage, IPropertySheetPage, ISearchResultPage

All Known Implementing Classes:
  AbstractTextSearchViewPage, ContentOutlinePage, Page, PropertySheetPage

public interface IPage

This interface has been replaced by `IPageBookViewPage` but is preserved for backward compatibility.

This class is not intended to be directly implemented by clients; clients should instead subclass `Page`.

See Also:
  `PageBookView`, `Page`

Method Summary
`void` | `createControl(Composite parent)` Creates the SWT control for this page under the given parent control.
`void` | `dispose()` Disposes of this page.
`Control` | `getControl()` Returns the SWT control for this page.
`void` | `setActionBars(IActionBars actionBars)` Allows the page to make contributions to the given action bars.
`void` | `setFocus()` Asks this page to take focus within its pagebook view.

Method Detail

### createControl

    public void createControl(Composite parent)

  Creates the SWT control for this page under the given parent control.

  Clients should not call this method (the workbench calls this method when it needs to, which may be never).

  Parameters:
    `parent` - the parent control

### dispose

    public void dispose()

  Disposes of this page.

  This is the last method called on the `IPage`. Implementors should clean up any resources associated with the page.

  Callers of this method should ensure that the page's control (if it exists) has been disposed before calling this method. However, for backward compatibilty, implementors must also ensure that the page's control has been disposed before this method returns.

  Note that there is no guarantee that createControl() has been called, so the control may never have been created.

### getControl

    public Control getControl()

  Returns the SWT control for this page.

  Returns:
    the SWT control for this page, or `null` if this page does not have a control

### setActionBars

    public void setActionBars(IActionBars actionBars)

  Allows the page to make contributions to the given action bars. The contributions will be visible when the page is visible.

  This method is automatically called shortly after `createControl` is called

  Parameters:
    `actionBars` - the action bars for this page

### setFocus

    public void setFocus()

  Asks this page to take focus within its pagebook view.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.